/* Definitions common for the client and daemon,
 * and runtime configuration definitions. */

#ifndef COMMON__H
#define COMMON__H

/* Compile-time configuration area. */

/* Default memory split policy. Memory is split between
 * user and computations by split_ratio, but so that neither
 * has reserved less than minfree (in case of too little memory,
 * user takes precedence) and user does not have reserved more
 * than maxfree. */
size_t static_minfree = 512*1048576UL;
size_t static_maxfree = 2048*1048576UL;
double split_ratio = 0.5;


/* Other common definitions. */
/* See README for the high-level protocol description. */

#define SOCKFILE "/var/run/compctl.sock"

/* CGroup and hierarchy names. */
static const char chier[] = "memory";
static const char cgroup[] = "comp";

#endif
